XML Standard API: Class XMLStreamException

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.stream
Class XMLStreamException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.xml.stream.XMLStreamException

All Implemented Interfaces:
  java.io.Serializable

public class XMLStreamException
extends java.lang.Exception

See Also:
  Serialized Form

Field Summary
`protected Location` | `location`
`protected java.lang.Throwable` | `nested`

Constructor Summary
`XMLStreamException()`
`XMLStreamException(java.lang.String msg)`
`XMLStreamException(java.lang.String msg, Location location)`
`XMLStreamException(java.lang.String msg, Location location, java.lang.Throwable th)`
`XMLStreamException(java.lang.String msg, java.lang.Throwable th)`
`XMLStreamException(java.lang.Throwable th)`

Method Summary
`Location` | `getLocation()`
`java.lang.Throwable` | `getNestedException()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### nested

    protected java.lang.Throwable nested

### location

    protected Location location

Constructor Detail

### XMLStreamException

    public XMLStreamException()

### XMLStreamException

    public XMLStreamException(java.lang.String msg)

### XMLStreamException

    public XMLStreamException(java.lang.Throwable th)

### XMLStreamException

    public XMLStreamException(java.lang.String msg,
                              java.lang.Throwable th)

### XMLStreamException

    public XMLStreamException(java.lang.String msg,
                              Location location,
                              java.lang.Throwable th)

### XMLStreamException

    public XMLStreamException(java.lang.String msg,
                              Location location)

Method Detail

### getNestedException

    public java.lang.Throwable getNestedException()

### getLocation

    public Location getLocation()

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.